Package ru.bitel.bgbilling.modules.drweb.common.service

# Interface DrWebService

    public interface DrWebService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `agentAVDActive​(int agentId)` |
  `void` | `agentAVDBlock​(int agentId, int monthCount)` |
  `void` | `agentAVDChangeTariff​(int agentId, int tariffId)` |
  `void` | `agentAVDClear​(java.util.List<java.lang.Integer> contractIds, java.util.Date startMonth)` |
  `void` | `agentAVDDelete​(int agentId)` |
  `java.util.List<AgentAVD>` | `agentAVDList​(int contractId)` |
  `void` | `agentAVDRecalculate​(java.lang.String email, java.util.List<java.lang.Integer> contractIds, java.lang.String comment, java.util.Date startMonth)` |
  `void` | `tariffAVDDelete​(int tariffId)` |
  `java.util.List<TariffAVD>` | `tariffAVDList​(int contractId, boolean forNew)` |
  `int` | `tariffAVDUpdate​(TariffAVD tariffAVD)` |

- ## Method Details

  - ### tariffAVDList

    java.util.List<TariffAVD> tariffAVDList​(int contractId, boolean forNew) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### tariffAVDUpdate

    int tariffAVDUpdate​(TariffAVD tariffAVD) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### tariffAVDDelete

    void tariffAVDDelete​(int tariffId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDList

    java.util.List<AgentAVD> agentAVDList​(int contractId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDChangeTariff

    void agentAVDChangeTariff​(int agentId, int tariffId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDBlock

    void agentAVDBlock​(int agentId, int monthCount) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDDelete

    void agentAVDDelete​(int agentId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDActive

    void agentAVDActive​(int agentId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDRecalculate

    void agentAVDRecalculate​(java.lang.String email, java.util.List<java.lang.Integer> contractIds, java.lang.String comment, java.util.Date startMonth) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### agentAVDClear

    void agentAVDClear​(java.util.List<java.lang.Integer> contractIds, java.util.Date startMonth) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`